/** Copyright (c) 1993  Mentat Inc.
 ** cred.h 4.1, last change 31 Aug 1993
 **/


#ifndef _CRED_
#define _CRED_


typedef struct cred
{
	unsigned short	cr_ref;			/* reference count on processes using cred structures */
	unsigned short	cr_ngroups;		/* number of groups in cr_groups */
	uid_t			cr_uid;			/* effective user id */
	gid_t			cr_gid;			/* effective group id */
	uid_t			cr_ruid;		/* real user id */
	gid_t			cr_rgid;		/* real group id */
	uid_t			cr_suid;		/* user id saved by exec */
	gid_t			cr_sgid;		/* group id saved by exec */
	gid_t			cr_groups[1];	/* supplementary groups list */
} cred_t;

#endif
